- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/userRolePermissionGroups/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/userRolePermissionGroups/list#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/userRolePermissionGroups/list#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/userRolePermissionGroups/list#body.response_body)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/userRolePermissionGroups/list#body.UserRolePermissionGroupsListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/userRolePermissionGroups/list#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/userRolePermissionGroups/list#try-it)

Gets a list of all supported user role permission groups.

### HTTP request

`GET https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/userRolePermissionGroups`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` User profile ID associated with this request. |

### Request body

The request body must be empty.

### Response body

User Role Permission Group userRolePermissionGroups.list Response

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "userRolePermissionGroups": [ { object (`https://developers.google.com/doubleclick-advertisers/rest/v5/userRolePermissionGroups#UserRolePermissionGroup`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string `"dfareporting#userRolePermissionGroupsListResponse"`. |
| `userRolePermissionGroups[]` | ``object (`https://developers.google.com/doubleclick-advertisers/rest/v5/userRolePermissionGroups#UserRolePermissionGroup`)`` User role permission group collection. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`